### Method

# WebKit2WebExtension DOMElement get_style

deprecated: 2.22

#### Declaration [src]

    WebKitDOMCSSStyleDeclaration*
    webkit_dom_element_get_style (
      WebKitDOMElement* self
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

Gets property | `WebKit2WebExtension.DOMElement:style`

#### Return value

Type: `WebKitDOMCSSStyleDeclaration`

A `WebKitDOMCSSStyleDeclaration`.

The caller of the method takes ownership of the data, and is responsible for freeing it.